from django.http import HttpResponse
from .models import Announcement, Reaction

# Create your views here.
def index(request):
    display_output = "<u><b>ANNOUNCEMENTS</u></b>: <br>"

    for object in Announcement.objects.all():
        display_output += '''
        <b>{title} by {first_name} {last_name}</b> dated {date}:<br>
        {body}<br> 
        Like: {like_tally}<br>
        Love: {love_tally}<br>
        Angry: {angry_tally}<br>
        <br>
        '''.format(title = object.announcement_title,
            first_name = object.author.first_name,
            last_name = object.author.last_name,
            date = str(object.pub_date),
            body = object.announcement_body,
            like_tally = Reaction.objects.filter(announcement_id=object.id).filter(reaction_name="Like").first().tally,
            love_tally = Reaction.objects.filter(announcement_id=object.id).filter(reaction_name="Love").first().tally,
            angry_tally = Reaction.objects.filter(announcement_id=object.id).filter(reaction_name="Angry").first().tally)

    return HttpResponse(display_output)
