from django.db import models

# Create your models here.

class Course(models.Model):
    course_code = models.CharField(max_length=10)
    course_title = models.CharField(max_length=50)
    section = models.CharField(max_length=3)

    def __str__(self):
        return self.course_code

class Assignment(models.Model):
    name = models.CharField(max_length=50)
    description = models.TextField(max_length=1500)
    max_points = models.IntegerField(default=0)
    passing_score = models.IntegerField(default=0, editable=False)
    course = models.ForeignKey(Course, on_delete=models.CASCADE, default=1)

    def __str__(self):
        return self.name

    # Overrides save method to update passing_score value to 60% of max_points
    def save(self, *args, **kwargs):
        self.passing_score = int(self.max_points*0.6)
        return super().save(*args, **kwargs)